.user-test {
    display: none;
    padding: 33px 55px;
    background: #FFFFFF;
    box-shadow: 0px 0px 23px rgba(30, 107, 221, 0.5);
    border-radius: 20px;
    margin-top: 32px;
    margin-bottom: 32px;
    font-size: 18px;
    color: #3E3E3E;
}
.user-test__list {
    margin-top: 50px;
    margin-bottom: 20px;
}

.user-test__item {
    padding: 20px;
    margin-bottom: 37px;
    background: #F3F8FF;
    border: 1px solid #6099EE;
    box-sizing: border-box;
    border-radius: 7px;
}
.user-test__item:last-child {
    margin-bottom: 0;
}
.user-test__title {
    padding-bottom: 30px;
    font-size: 24px;
    color: #6099EE;
}
.user-test__text {
    padding-bottom: 50px;
}
.user-test__textarea {
    width: 100%;
    height: 110px;
    resize: none;
    box-sizing: border-box;
    border-radius: 7px;
    outline: 2px solid #6099EE;
    border: none;
}
.answers__item {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 15px;
    align-items: center;
}
.answer__input {
    flex-grow: 1;
    margin-right: 10px;
    line-height: 55px;
    outline: 2px solid #6099EE;
    border-radius: 7px;
    border: none;
}
.answers__remove {
    margin-right: 45px;
    border: none;
    outline: none;
    background: #FF5959;
    color: #ffffff;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    font-size: 25px;
}
.answers__checkbox-wrap {
    margin-left: auto;
}
.answers__add {
    margin-bottom: 40px;
}
.answers__add-btn span {
    font-weight: bold;
    font-size: 20px;
    margin-right: 5px;
}
.answers__add-btn {
    color: #6099EE;
    background: none;
    border: none;
    outline: none;
}
.user-test__remove {
    display: flex;
}
.user-test__remove-btn {
    margin-left: auto;
    border: none;
    outline: none;
    background: #D9E8FF;
    color: #6099EE;
    line-height: 40px;
    padding: 0 30px;
    border-radius: 25px;
}
.user-test__add {
    margin-bottom: 87px;
}
.user-test__add-btn span {
    margin-right: 10px;
    font-size: 40px;
    color: #6099EE;
    font-weight: bold;
}
.user-test__add-btn {
    display: flex;
    padding-left: 15px;
    padding-right: 40px;
    background: #D9E8FF;
    border: 1px solid #6099EE;
    box-sizing: border-box;
    border-radius: 7px;
    line-height: 68px;
    font-size: 24px;
}
.user-test__save {
    display: flex;
    justify-content: space-between;
}
.user-test__save-btn,
.user-test__cancel-btn {
    padding: 0 74px;
    border: none;
    outline: none;
    font-weight: 700;
    font-size: 24px;
    text-align: center;
    text-transform: uppercase;
    color: #ffffff;
    background: #6099EE;
    line-height: 55px;
    border-radius: 30px;
}
.user-test__cancel-btn {
    background: #22CE8C;
}

.user-test__error {
    color: red;
}

.test-alert {
    display: none;
    position: relative;
    min-height: 50px;
}
.test-alert__closer {
    position: absolute;
    top: 0;
    right: 0;
}


.wrapper {
    overflow: auto;
}
.user-info__create {
    padding: 33px 0;
    min-height: 2000px;
}
.form-element {
    margin-bottom: 27px;
}
.form-element * {
    display: block;
}
.user-info__label {
    color: #6099EE;
    font-size: 24px;
}
.info-user__show-pic {
    width: 200px;
}
.user-info__input,
.user-info__select {
    padding-left: 19px;
    background: #D9E8FF;
    border: 1px solid #6099EE;
    box-sizing: border-box;
    border-radius: 7px;
    outline: none;
    width: 100%;
    height: 43px;
    text-transform: uppercase;
    font-size: 18px;
}
.user-info__text {
    width: 100%;
    min-height: 406px;
    background: #F3F8FF;
    border: 1px solid #6099EE;
    box-sizing: border-box;
    border-radius: 7px;
    outline: none;
    resize: none;
}

.user-inof__btn-group {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.user-info__btn-save,
.user-info__btn-remove {
    display: block;
    background: #22CE8C;
    color: #ffffff;
    outline: none;
    border: none;
    border-radius: 5px;
    min-height: 60px;
    width: 211px;
    -webkit-box-shadow: 0 4px 0 0 #1ba670;
    -moz-box-shadow: 0 4px 0 0 #1ba670;
    box-shadow: 0 4px 0 0 #1ba670;
    text-transform: uppercase;
    font-size: 18px;
    margin-bottom: 10px;
}
.user-info__btn-remove {
    background: #FF5959;
    box-shadow: none;
    line-height: 60px;
    text-align: center;
}
.user-info__modal .user-info__btn-save {
    margin: 0 auto;
    margin-top: auto;
}

.user-info__main-data {
    margin-bottom: 48px;
    padding: 0 50px 40px;
    background: #ffffff;
    box-shadow: 0 0 23px rgba(30, 107, 221, 0.5);
    border-radius: 20px;
}
.user-info__module {
    border-radius: 24px;
    background: #ffffff;
    box-shadow: 0 0 23px rgb(30 107 221 / 50%);
}

.user-info__module-title {
    padding-left: 50px;
    padding-bottom: 30px;
    font-size: 30px;
    color: #3E3E3E;
}

.user-info__module-added {
    padding-top: 36px;
    margin-bottom: 76px;
}
.user-info__module-item-wrap {
    border-bottom: 2px solid #D9E8FF;
    border-top: 2px solid #D9E8FF;
    padding: 15px 0;
    cursor: move;
}
.user-info__module-item {
    position: relative;
    display: flex;
    padding: 0 50px;
}
.user-info__module-move {
    width: 55px;
    cursor: move;
}
.user-info__module-move:after,
.user-info__module-move:before {
    content: '';
    width: 19px;
    height: 16px;
    position: absolute;
    background-repeat: no-repeat;
}
.user-info__module-move:after {
    background-image: url("/img/user-info-top.png");
}
.user-info__module-move:before {
    background-image: url("/img/user-info-bottom.png");
    bottom: 0;
}

/*.user-info__module-item:after,
.user-info__module-item:before {
    content: '';
    width: 19px;
    height: 16px;
    position: absolute;
    background-repeat: no-repeat;
}

.user-info__module-item:after {
    background-image: url("/img/user-info-top.png");
}
.user-info__module-item:before {
    background-image: url("/img/user-info-bottom.png");
    bottom: 0;
}*/

.user-info__module-header {
    flex-grow: 1;
    line-height: 68px;
    font-size: 20px;
    border: 1px solid #6099EE;
    box-sizing: border-box;
    padding-left: 22px;
    margin-right: 30px;
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
    cursor: move;
}
.user-info__module--remove {
    border: none;
    outline: none;
    background: #FF5959;
    color: #ffffff;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    font-size: 25px;
    margin-top: 12px;
}

.user-info__module-new {
    padding-bottom: 66px;
    margin-bottom: 47px;
}
.user-info__wrap-add {
    padding: 24px 50px;
    border: 2px solid #D9E8FF;
    display: flex;
}
.user-info__add-module {
    font-size: 28px;
    color: #000000;
    background: #D9E8FF;
    border: 1px solid #6099EE;
    border-radius: 7px;
    line-height: 70px;
    display: flex;
    height: 70px;
    padding: 0 40px 0 0;
}
.user-info__plus {
    color: #B4D1FF;
    font-size: 60px;
    vertical-align: middle;
    margin-right: 27px;
    cursor: pointer;
}
.user-info__module-icon {
    width: 68px;
    height: 68px;
    margin-right: 10px;
    background-color: #A1C6FF;
    background-repeat: no-repeat;
    background-size: 60px 60px;
    background-position: center;
}
.user-info__icon-video {
    background-image: url("/img/user-info-video.png");
}

.user-info__icon-puzzle {
    background-image: url("/img/user-info-puzzle.png");
}

.user-info__icon-slider {
    background-image: url("/img/user-info-slider.png");
}

.user-info__icon-phaser-game {
    background-image: url("/img/user-info-game.png");
}

.user-info__icon-karaoke {
    background-image: url("/img/user-info-karaoke.png");
}

.user-info__icon-test {
    background-image: url("/img/user-info-test.png");
}
.user-info__module-name {
    /*margin-left: 55px;*/
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    /*padding-left: 20px*/;
    /*cursor: move;*/
}

/*modal start*/
.user-info__modal {
    display: none;
    flex-direction: column;
    position: fixed;
    padding: 10px 60px;
    width: 60%;
    min-height: 400px;
    background: #ffffff;
    top: 25px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 11;
    border-radius: 24px;
}
.user-info__close-icon{
    position: absolute;
    top: -25px;
    right: -20px;
    font-size: 30px;
    cursor: pointer;
    z-index: 11;
    color: #000000;
}

.user-info__modal-title {
    margin-bottom: 10px;
    color: #3E3E3E;
    font-size: 30px;
    text-align: center;
    font-weight: 500;
}
.user-info__modal-name span {
    border-bottom: 1px dashed #000000;
    padding-bottom: 2px;
}
.user-info__modal-name {
    margin-bottom: 20px;
    color: #1E6BDD;
    font-size: 30px;
    text-align: center;
    font-weight: 500;
}
.user-info__modal-select,
.user-info__video-category {
    height: 54px;
    padding-left: 25px;
    background: #D9E8FF;
    width: 100%;
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    color: #1E6BDD;
    border: none;
    outline: none;
}
.user-info__video-wrap {
    margin-bottom: 20px;
}
.user-info__modal-btn {
    margin-top: auto;
}
/*modal end*/

.overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 10;
    cursor: pointer;
}


@media (max-width: 747px) {
    .user-info__modal-btn {
        width: 100%;
    }
    .user-info__modal {
        padding: 28px 10px;
        width: 90%;
    }
    .user-info__close-icon {
        right: 0;
    }
    .user-info__module-item {
        flex-direction: column;
    }
    .user-info__module-item:before,
    .user-info__module-item:after {
        display: none;
    }
    .user-info__module-name {
        margin: 10px 0;
    }
    .user-info__module-header {
        margin: 0;
    }
    .user-info__module-move {
        display: none;
    }
    .user-info__wrap-add {
        padding: 10px 0 0 10px;
    }
    .user-info__plus {
        display: none;
    }

    .user-test {
        padding: 15px 15px;
    }
    .answer__input {
        width: 100%;
        margin-bottom: 10px;
    }
    .answers__checkbox-wrap {
        margin-left: 0;
    }
}
